# ESP32 firmware for an SK6812-based lamp

## Setup notes

Authentication data for WiFi connections and OTA firmware updates is stored in the SPIFFS. You must create the following files:

### `data/etc/wlan`

This file contains WiFi logins. Each entry consists of two lines: The first line contains the SSID to connect to, the second the password.

### `data/etc/auth`

This file configures the authentication at the device. For now, this is used for OTA updates.

The file contains two lines: First the password, second the salt.

The salt must be known to any client performing OTA updates and can be stored in a local configuration file. The password should never be stored in any config file.
