#pragma once

#include "Animation.h"

class ConnectingAnimation : public Animation
{
    public:
        ConnectingAnimation(Fader *fader);

        void loop(uint64_t frame) override;

        void stop(void) override
        {
            m_stopping = true;
        }

        void reset(void) override
        {
            m_stopping = false;
            m_running = true;
        }

    private:
        bool m_stopping;
};
