#pragma once

#include <random>

#include "Animation.h"

class ConnectionEstablishedAnimation : public Animation
{
    public:
        ConnectionEstablishedAnimation(Fader *fader, bool connected);

        void loop(uint64_t frame) override;

    private:
        bool m_connected;

        std::default_random_engine m_gen;
};
